Subject: [Healeys] BJ8 Window Handle Parts

From: "R. Lindsay" <[email-masked]>
Date: Tue, 26 Feb 2019 11:27:32 -0500

I have had my BJ8 for 35 years and have always seen something that has bothered me.  I have noticed this on other cars as well.  The door handle connects to the window assembly with a pin.  Behind that and on top of the door panel is a chrome trim piece, then the panel, the crown, the spring and finally an escutcheon.  This is all in accordance with the drawing on page 120 of the moss catalogue.  That’s cool.

The problem is, the white plastic crown sticks out of the first trim piece and doesn’t look right/unfinished.  1. Should there be a second escutcheon behind the panel and on top of the crown?  2. Do I have the escutcheon on the wrong end?  3. Could I place a washer that is larger than the door assembly and smaller than the crown between the panel and the crown?  

What have others done to avoid the plastic crown from showing?  Thank you for your help!

Price Lindsay
67 BJ8
_______________________________________________
Support Team.Net http://www.team.net/donate.html
Suggested annual donation  $12.75

Archive: http://www.team.net/pipermail/healeys http://autox.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys

Unsubscribe/Manage: http://autox.team.net/mailman/options/healeys/[email-masked]